Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.resource.properties.get.ext
Interface GetResourcePropertyExtensions

All Known Subinterfaces:
  ResourcePropertyCollection

All Known Implementing Classes:
  SimpleResourcePropertyCollection

public interface GetResourcePropertyExtensions

GetResourcePropertyExtensions is a collection of convenience methods that can be added onto a WS-RP implementation.

Author:
  Dan Jemiolo (danj)

Method Summary
`java.lang.Object` | `getPropertyAsObject(QName qname, java.lang.Class type)` Returns zero or more instances of the given property, deserialized into instances of the given type.

Method Detail

### getPropertyAsObject

    public java.lang.Object getPropertyAsObject(QName qname,
                                                java.lang.Class type)
                                         throws InvalidResourcePropertyQNameFault,
                                                BaseFault

  Returns zero or more instances of the given property, deserialized into instances of the given type. This method differs from getResourceProperty(QName) in that it returns POJOs rather than XML.

  Parameters:
    `qname` - The name of the property to find.
    `type` - The type of the property instances returned by this method. Every object in the returned array can be cast to this type.
  Returns:
    An array of objects, where each object is an instance of the property named. There is no guarantee that the objects are the internal data structures used by the WS-RP document. The objects should be the POJO equivalent of the Elements returned by getResourceProperty(QName).
  Throws:
    `BaseFault` -
    - If the property is undefined in the document's schema. This is not the same as finding zero instances of a defined property.
    - If there is an error creating instances of the given type using the property values found.
    `InvalidResourcePropertyQNameFault`
  See Also:
    `GetResourceProperty`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD